## org.eclipse.emf.ecore.xmi
Class PackageNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.emf.ecore.xmi.XMIException
                  org.eclipse.emf.ecore.xmi.PackageNotFoundException

All Implemented Interfaces:
  java.io.Serializable, Resource.Diagnostic

    public class PackageNotFoundException

extends XMIException

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` `uri`

Fields inherited from class org.eclipse.emf.ecore.xmi.XMIException
`column, line, location`

Constructor Summary
`PackageNotFoundException(java.lang.String uri, java.lang.String location, int line, int column)`

Method Summary
`java.lang.String` `uri()`

Methods inherited from class org.eclipse.emf.ecore.xmi.XMIException
`getColumn, getLine, getLocation, getMessage, getWrappedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uri

    protected java.lang.String uri

Constructor Detail

### PackageNotFoundException

    public PackageNotFoundException(java.lang.String uri,
                                    java.lang.String location,
                                    int line,
                                    int column)

Method Detail

### uri

    public java.lang.String uri()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.